<template>
  <div>
    <b-table
      :items="result"
      @row-dblclicked="deleteItem" />

    <item-forms />
  </div>
</template>

<script>
import ItemForms from '~/components/ItemForms.vue'

export default {
  components: {
    ItemForms
  },
  methods: {
    deleteItem(record, index) {
      let ins = this;

      if (confirm(`Deseja apagar '${record.name}'?`))
        this.$axios({
          method: 'delete',
          url: `http://localhost:3000/items/${record.id}`
        })
          .then(res => ins.$router.go())
          .catch(err => console.log(err));
    }
  },
  data() {
    return {
      result: ''
    };
  },
  beforeCreate() {
    let ins = this;
    this.$axios({
      method: 'get',
      url: 'http://localhost:3000/items'
    })
      .then(res => {
        if (res.data.length == 0)
          ins.result = [{
            'Items': 'empty'
          }]
        else
          ins.result = res.data;
      })
      .catch(err => {
        ins.result = [{
          error: 'Errou, otário'
        }];
      })
  }
}
</script>

<style>

</style>
